Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency #4257

Closed
2 of 5 tasks
vensing opened this issue Apr 22, 2020 · 15 comments · Fixed by hexojs/hexo-renderer-stylus#96 or hexojs/hexo-starter#59
Labels
plugin question

Comments

@vensing
Copy link

vensing commented Apr 22, 2020

Check List

Please check followings before submitting a new issue.

  • I have already read Docs page & Troubleshooting page
  • I have already searched existing issues and they are not help to me
  • I examined error or warning messages and it's difficult to solve
  • Using the latest version of Hexo (run hexo version to check)
  • Node.js is higher than 8.6.0

Expected behavior

build Normal html

Actual behavior

$ hexo clean && hexo g
(node:23020) Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency
(Use `node --trace-warnings ...` to show where the warning was created)
(node:23020) Warning: Accessing non-existent property 'column' of module exports inside circular dependency  
(node:23020) Warning: Accessing non-existent property 'filename' of module exports inside circular dependency
(node:23020) Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency  
(node:23020) Warning: Accessing non-existent property 'column' of module exports inside circular dependency  
(node:23020) Warning: Accessing non-existent property 'filename' of module exports inside circular dependency
INFO  Deleted database.
INFO  Deleted public folder.
(node:21700) Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency
(Use `node --trace-warnings ...` to show where the warning was created)
(node:21700) Warning: Accessing non-existent property 'column' of module exports inside circular dependency
(node:21700) Warning: Accessing non-existent property 'filename' of module exports inside circular dependency
(node:21700) Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency
(node:21700) Warning: Accessing non-existent property 'column' of module exports inside circular dependency
(node:21700) Warning: Accessing non-existent property 'filename' of module exports inside circular dependency
INFO  Start processing
INFO  Files loaded in 734 ms
(node:21700) Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency
(node:21700) Warning: Accessing non-existent property 'column' of module exports inside circular dependency  
(node:21700) Warning: Accessing non-existent property 'filename' of module exports inside circular dependency
(node:21700) Warning: Accessing non-existent property 'lineno' of module exports inside circular dependency  
(node:21700) Warning: Accessing non-existent property 'column' of module exports inside circular dependency  
(node:21700) Warning: Accessing non-existent property 'filename' of module exports inside circular dependency

Build emtpy html.
It's build normal html when I use Node.js v12.14.1.

How to reproduce?

  • hexo clean
  • hexo g

Environment & Settings

Node.js & npm version

node -v
v14.0.0

npm --v
v6.13.6

Hexo and Plugin version(npm ls --depth 0)

hexo -v
v4.2.0

Your package.json package.json

{
  "name": "hexo-site",
  "version": "0.0.0",
  "private": true,
  "hexo": {
    "version": "4.2.0"
  },
  "dependencies": {
    "hexo": "^4.2.0",
    "hexo-generator-archive": "^1.0.0",
    "hexo-generator-category": "^1.0.0",
    "hexo-generator-feed": "^2.2.0",
    "hexo-generator-index": "^1.0.0",
    "hexo-generator-sitemap": "^2.0.0",
    "hexo-generator-tag": "^1.0.0",
    "hexo-renderer-ejs": "^1.0.0",
    "hexo-renderer-marked": "^2.0.0",
    "hexo-renderer-stylus": "^1.1.0",
    "hexo-sage-posts": "^0.0.1",
    "hexo-server": "^1.0.0"
  }

Others

It's build normal html when I use Node.js v12.14.1.
Thanks, have a nice day.

@SukkaW
Copy link
Member

SukkaW commented Apr 23, 2020

Uninstall hexo-sage-posts then try again?

@SukkaW SukkaW added plugin question labels Apr 23, 2020
@vensing
Copy link
Author

vensing commented Apr 23, 2020

Uninstall hexo-sage-posts then try again?

It's still build empty html when I uninstall hexo-sage-post plugin. Others have the same problem when used nodejs stable version (v14.0) on travis CI build task.

Please see the job log in https://www.travis-ci.org/github/AyagawaSeirin/Blog/builds/678004202 .

Thanks, have a nice day.

@curbengh
Copy link
Contributor

curbengh commented Apr 24, 2020

I can confirm this compatibility issue with Node 14, being discussed in #4260.

Uninstall hexo-sage-posts then try again?

I can replicate this issue in default hexo.

@vensing
Copy link
Author

vensing commented Apr 24, 2020

I can confirm this compatibility issue with Node 14, being discussed in #4260.

Uninstall hexo-sage-posts then try again?

I can replicate this issue in default hexo.

It's also appear in mongodb when used Node v14, see https://jira.mongodb.org/browse/NODE-2536. And fixed on node-mongodb-native commit.

@wizardforcel
Copy link

wizardforcel commented Apr 24, 2020

Yes, I also found this problem in Node 14, but not in Node 10 or 12.

@stevenjoezhang
Copy link
Member

stevenjoezhang commented Apr 24, 2020

The warning message comes from stylus

at Boolean.Node [as constructor] (/blog/node_modules/stylus/lib/nodes/node.js:44:23)

To reproduce, run const stylus = require('stylus'); with Node.js 14.0

There is no relevant issues opened here: https://github.com/stylus/stylus/issues

Update: stylus/stylus#2534

@vensing
Copy link
Author

vensing commented Apr 24, 2020

The warning message is from stylus

at Boolean.Node [as constructor] (/blog/node_modules/stylus/lib/nodes/node.js:44:23)

To reproduce, run const stylus = require('stylus'); with Node.js 14.0

There is no relevant issues opened here: https://github.com/stylus/stylus/issues

Thanks, I replicate the warning message. And build empty html which is caused by hexo-fs with Node.js 14.0

@vensing vensing closed this as completed Apr 24, 2020
@SukkaW
Copy link
Member

SukkaW commented Apr 24, 2020

And build empty html which is caused by hexo-fs with Node.js 14.0

The discussion of hexo-fs goes here: #4260 . And the fix is already implemented: hexojs/hexo-fs#60

@tl3shi
Copy link

tl3shi commented May 5, 2020

+1

@qianbinbin
Copy link

qianbinbin commented May 8, 2020

这就是node的兼容性吗?i了i了

brew uninstall node
brew install node@12
brew link --overwrite --force node@12

清净了

@yoshinorin
Copy link
Member

yoshinorin commented May 14, 2020

@vensing @wizardforcel @tl3shi

We published v4.2.1.
v4.2.1 has included fixed compatible with Node 14.

Thanks :)


@qianbinbin

Node 12: hexo 4.2.0 or less than 4.2.0
Node 14: hexo 4.2.1+

@HyWell
Copy link

HyWell commented May 15, 2020

@yoshinorin It doesn't seem to be fixed
image

@stevenjoezhang
Copy link
Member

stevenjoezhang commented May 15, 2020

@HyWell stylus/stylus#2534

@SkyYkb
Copy link

SkyYkb commented Jun 13, 2020

@yoshinorin
The problem still exists with Hexo 4.2.1:
image

@stevenjoezhang
Copy link
Member

stevenjoezhang commented Jun 13, 2020

@hexojs hexojs locked and limited conversation to collaborators Jun 13, 2020
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
plugin question
Projects
None yet
10 participants